#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2,3)
#-----------------------------------------------------------------------------
Name		:	python3-typing_extensions
Version		:	4.5.0
Release		:	17.2.0.rel%{?dist}
Summary		:	'Backported and Experimental Type Hints for Python 3.7+

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Custom
URL		:	https://github.com/python/typing_extensions

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python-pep517
BuildRequires	:	python3-tomli

#-----------------------------------------------------------------------------
%description
The typing_extensions module serves two related purposes:

Enable use of new type system features on older Python versions.
For example, typing.TypeGuard is new in Python 3.10, but
typing_extensions allows users on previous Python versions
to use it too.
Enable experimentation with new type system PEPs before
they are accepted and added to the typing module.
New features may be added to typing_extensions as soon as
they are specified in a PEP that has been added to the
python/peps repository. If the PEP is accepted, the feature
will then be added to typing for the next CPython release.
No typing PEP has been rejected so far, so we haven't yet
figured out how to deal with that possibility.

Starting with version 4.0.0, typing_extensions uses
Semantic Versioning. The major version is incremented for
all backwards-incompatible changes. Therefore, it's safe
to depend on typing_extensions like this:
typing_extensions >=x.y, <(x+1), where x.y is the
first version that includes all features you need.

typing_extensions supports Python versions 3.7 and higher.
In the future, support for older Python versions will be
dropped some time after that version reaches end of life.



#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{python3_sitelib}/*.py
%{python3_sitelib}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl

#-----------------------------------------------------------------------------
%changelog
